CREATE TABLE ben_pl_copy_params (
    PL_COPY_ID                 NUMBER(18, 0) ,
    NAME                       VARCHAR2(960) ,
    STATUS                     VARCHAR2(960) ,
    PGM_ID                     NUMBER(18, 0) ,
    PL_ID                      NUMBER(18, 0) ,
    DESCRIPTION                VARCHAR2(960) ,
    REUSE_CODE                 VARCHAR2(960) ,
    PREFIX                     VARCHAR2(960) ,
    SUFFIX                     VARCHAR2(960) ,
    TYPE                       VARCHAR2(960) ,
    EMAIL                      VARCHAR2(960) ,
    SEND_NOTIFICATIONS         VARCHAR2(120) ,
    CONFIG_PARAM               VARCHAR2(120) ,
    IMPORT_MAP                 VARCHAR2(120) ,
    PROVIDE_MAP                VARCHAR2(120) ,
    IMPORT_PL_DESIGN           VARCHAR2(120) ,
    REVIEW_PL_DESIGN           VARCHAR2(120) ,
    BUSINESS_GROUP_ID          NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    FILEPATH                   VARCHAR2(960) ,
    ELIGY_PRFL_ID              NUMBER(18, 0) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    MAPPING_REQUEST_ID         NUMBER(18, 0) ,
    EFFECTIVE_DATE             DATE          ,
    FILE_NAME                  VARCHAR2(960) ,
    FILE_UPLOADED              VARCHAR2(80)  ,
    REQUEST_STATUS             NUMBER(18, 0) ,
    MAPPING_REQUEST_STATUS     NUMBER(18, 0) ,
    COMP_OBJ_TYPE              VARCHAR2(80)  ,
    NAMED_OBJECTS              CLOB          ,
    PARAM_ATTRIBUTE1           VARCHAR2(4000),
    PARAM_ATTRIBUTE2           VARCHAR2(4000),
    PARAM_ATTRIBUTE3           VARCHAR2(4000),
    PARAM_ATTRIBUTE4           VARCHAR2(4000),
    PARAM_ATTRIBUTE5           VARCHAR2(4000),
    PARAM_ATTRIBUTE_DATE1      DATE          ,
    PARAM_ATTRIBUTE_DATE2      DATE          ,
    PARAM_ATTRIBUTE_DATE3      DATE          ,
    PARAM_ATTRIBUTE_DATE4      DATE          ,
    PARAM_ATTRIBUTE_DATE5      DATE          ,
    PARAM_ATTRIBUTE_NUMBER1    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER2    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER3    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER4    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER5    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_BLOB1      BLOB          ,
    PARAM_ATTRIBUTE_BLOB2      BLOB          ,
    PARAM_ATTRIBUTE_BLOB3      BLOB          ,
    PARAM_ATTRIBUTE_BLOB4      BLOB          ,
    PARAM_ATTRIBUTE_BLOB5      BLOB          ,
    PL_COPY_ID                 NUMBER(18, 0) ,
    NAME                       VARCHAR2(960) ,
    STATUS                     VARCHAR2(960) ,
    PGM_ID                     NUMBER(18, 0) ,
    PL_ID                      NUMBER(18, 0) ,
    DESCRIPTION                VARCHAR2(960) ,
    REUSE_CODE                 VARCHAR2(960) ,
    PREFIX                     VARCHAR2(960) ,
    SUFFIX                     VARCHAR2(960) ,
    TYPE                       VARCHAR2(960) ,
    EMAIL                      VARCHAR2(960) ,
    SEND_NOTIFICATIONS         VARCHAR2(120) ,
    CONFIG_PARAM               VARCHAR2(120) ,
    IMPORT_MAP                 VARCHAR2(120) ,
    PROVIDE_MAP                VARCHAR2(120) ,
    IMPORT_PL_DESIGN           VARCHAR2(120) ,
    REVIEW_PL_DESIGN           VARCHAR2(120) ,
    BUSINESS_GROUP_ID          NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    FILEPATH                   VARCHAR2(960) ,
    ELIGY_PRFL_ID              NUMBER(18, 0) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    MAPPING_REQUEST_ID         NUMBER(18, 0) ,
    EFFECTIVE_DATE             DATE          ,
    FILE_NAME                  VARCHAR2(960) ,
    FILE_UPLOADED              VARCHAR2(80)  ,
    REQUEST_STATUS             NUMBER(18, 0) ,
    MAPPING_REQUEST_STATUS     NUMBER(18, 0) ,
    COMP_OBJ_TYPE              VARCHAR2(80)  ,
    NAMED_OBJECTS              CLOB          ,
    PARAM_ATTRIBUTE1           VARCHAR2(4000),
    PARAM_ATTRIBUTE2           VARCHAR2(4000),
    PARAM_ATTRIBUTE3           VARCHAR2(4000),
    PARAM_ATTRIBUTE4           VARCHAR2(4000),
    PARAM_ATTRIBUTE5           VARCHAR2(4000),
    PARAM_ATTRIBUTE_DATE1      DATE          ,
    PARAM_ATTRIBUTE_DATE2      DATE          ,
    PARAM_ATTRIBUTE_DATE3      DATE          ,
    PARAM_ATTRIBUTE_DATE4      DATE          ,
    PARAM_ATTRIBUTE_DATE5      DATE          ,
    PARAM_ATTRIBUTE_NUMBER1    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER2    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER3    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER4    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_NUMBER5    NUMBER(22, 0) ,
    PARAM_ATTRIBUTE_BLOB1      BLOB          ,
    PARAM_ATTRIBUTE_BLOB2      BLOB          ,
    PARAM_ATTRIBUTE_BLOB3      BLOB          ,
    PARAM_ATTRIBUTE_BLOB4      BLOB          ,
    PARAM_ATTRIBUTE_BLOB5      BLOB          ,
    CONSTRAINT pk_ben_pl_copy_params PRIMARY KEY (PL_COPY_ID, BUSINESS_GROUP_ID, PL_COPY_ID, BUSINESS_GROUP_ID)
);
